$regfile = "m16def.dat"
$crystal = 8000000

Config Lcdpin = Pin , Db4 = Portc.0 , Db5 = Portc.1 , Db6 = Portc.2 , Db7 = Portc.3 , Rs = Portc.4 , E = Portc.5
Config Lcd = 16 * 2

Config Portb.0 = Output
Config Portb.1 = Output
Config Portb.2 = Input
Config Portb.3 = Output

Att Alias Portb.0                                           'yellow
Cmd Alias Portb.1                                           'orange
Dat Alias Pinb.2                                            'brown pullup with 1k
Clk Alias Portb.3                                           'blue
'red: VCC
'black: GND

Dim A As Byte
Dim B As Byte
Dim Ps2 As Byte
Dim Ps3 As Byte
Dim Ps4 As Byte
Dim Ps5 As Byte


Cursor Off
Cls

Do

Set Cmd
Set Clk
Reset Att
Waitus 1

A = &H01
For B = 0 To 7
Cmd = A.b
Reset Clk
Waitus 1
Set Clk
Next B

Set Cmd
Waitus 1

A = &H42
For B = 0 To 7
Cmd = A.b
Reset Clk
Waitus 1
Ps2.b = Dat
Set Clk
Next B

Set Cmd
Waitus 1

For B = 0 To 7
Reset Cmd
Reset Clk
Waitus 1
Ps3.b = Dat
Set Clk
Next B

Set Cmd
Waitus 1

'Ps4 = 0
For B = 0 To 7
Reset Cmd
Reset Clk
Waitus 1
Ps4.b = Dat
Set Clk
Next B

Set Cmd
Waitus 1

'Ps5 = 0
For B = 0 To 7
Reset Cmd
Reset Clk
Waitus 1
Ps5.b = Dat
Set Clk
Next B

Set Cmd
Waitus 1

Set Cmd
Waitus 1
Set Att

Home
For B = 0 To 7
Lcd Ps4.b
Next B
Lcd " BYTE4"

Home L
For B = 0 To 7
Lcd Ps5.b
Next B
LCD" BYTE5"

Waitms 20
Loop